#! /bin/sh

echo "update.sh starting ..."

chmod -R 777 /usr/bin/siglent/usr/usr/upgrade/*

hdware=$(cat /proc/cpuinfo | grep Hardware)
echo $hdware
result=$(echo $hdware | grep "Zynq")
if [[ "$result" != "" ]]; then
	echo "Zynq  platform"
	
	echo "rm  config.zip"
	rm /usr/bin/siglent/usr/usr/upgrade/config.zip
	
	echo "rm  335x_packet.zip"
	rm /usr/bin/siglent/usr/usr/upgrade/335x_packet.zip
	
	echo "unzip  zynq_pack.zip"
	unzip -o /usr/bin/siglent/usr/usr/upgrade/zynq_packet.zip -d /usr/bin/siglent/usr/usr/upgrade
	
	sync    #Write all buffered blocks to disk
	
	echo "zynq_update.sh starting ..."
	sh /usr/bin/siglent/usr/usr/upgrade/zynq_update.sh
	 
else
	echo "335x  platform"
	echo "rm  config.zip"
	rm /usr/bin/siglent/usr/usr/upgrade/config.zip
	
	echo "rm  zynq_packet.zip"
	rm /usr/bin/siglent/usr/usr/upgrade/zynq_packet.zip
	
	echo "unzip  zynq_pack.zip"
	unzip -o /usr/bin/siglent/usr/usr/upgrade/335x_packet.zip -d /usr/bin/siglent/usr/usr/upgrade
	
	sync    #Write all buffered blocks to disk
	
	echo "335x_update.sh starting ..."
	sh /usr/bin/siglent/usr/usr/upgrade/335x_update.sh
fi

echo "update.sh ending ..."

